drop database emaille;
create database emaille;
\connect emaille

create table benutzer (id integer, vorname text, nachname text);
create table emailaddr(email text, name integer);

insert into benutzer values (10, 'alfred e.', 'neumann');
insert into benutzer values (20, 'baerti', 'bela');
insert into benutzer values (30, 'claus', 'fliegtraus');
insert into benutzer values (40, 'david', 'koenig');

insert into emailaddr values ('alfed@mad.org', 10);
insert into emailaddr values ('alfed@wara.de', 10);
insert into emailaddr values ('baerti@jva.de',20);
insert into emailaddr values ('claus@zpe.de',30);
insert into emailaddr values ('david@mpi.de',40);

select 
   benutzer.vorname, benutzer.nachname, emailaddr.email 
from 
   benutzer 
   inner join emailaddr on benutzer.id = emailaddr.name;

--create user alfred with password 'mad';
grant all on benutzer to alfred;
grant all on emailaddr to alfred;